GroovydocAccess (Gradle API 9.4.0)
Description: declaration: package: org.gradle.api.tasks.javadoc, enum: GroovydocAccess

Package org.gradle.api.tasks.javadoc

# Enum GroovydocAccess

java.lang.Object
java.lang.Enum<GroovydocAccess>
org.gradle.api.tasks.javadoc.GroovydocAccess

All Implemented Interfaces:
  `Serializable`, `Comparable<GroovydocAccess>`, `Constable`

public enum GroovydocAccess extends Enum<GroovydocAccess>
Represents the setting for the access levels that are included in the Groovydoc.

Each level include all less restrictive access levels, e.g. `PACKAGE` also includes items with protected and public access.

Since:
  7.5

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `PACKAGE`
  `PRIVATE`
  `PROTECTED`
  `PUBLIC`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static GroovydocAccess`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static GroovydocAccess[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PRIVATE

    public static final GroovydocAccess PRIVATE

  - ### PACKAGE

    public static final GroovydocAccess PACKAGE

  - ### PROTECTED

    public static final GroovydocAccess PROTECTED

  - ### PUBLIC

    public static final GroovydocAccess PUBLIC

- ## Method Details

  - ### values

    public static GroovydocAccess[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static GroovydocAccess valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null